org.icefaces.ace.component.tree

## Interface ITree

- All Known Implementing Classes:
    Tree, TreeBase

      public interface ITree

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TreeExpansionMode` | `getExpansionMode()`
    `KeySegmentConverter` | `getKeyConverter()`
    `TreeSelectionMode` | `getSelectionMode()`
    `NodeStateCreationCallback` | `getStateCreationCallback()`
    `NodeStateMap` | `getStateMap()`
    `java.lang.String` | `getStateVar()`
    `java.lang.String` | `getType()`
    `java.lang.Boolean` | `isExpansion()`
    `java.lang.Boolean` | `isReordering()`
    `java.lang.Boolean` | `isSelection()`
    `java.lang.Boolean` | `isSelectMultiple()`
    `void` | `setExpansion(java.lang.Boolean expansion)`
    `void` | `setExpansionMode(TreeExpansionMode expansionMode)`
    `void` | `setKeyConverter(KeySegmentConverter keyConverter)`
    `void` | `setReordering(java.lang.Boolean reordering)`
    `void` | `setSelection(java.lang.Boolean selection)`
    `void` | `setSelectionMode(TreeSelectionMode selectionMode)`
    `void` | `setSelectMultiple(java.lang.Boolean selectMultiple)`
    `void` | `setStateCreationCallback(NodeStateCreationCallback stateCreationCallback)`
    `void` | `setStateMap(NodeStateMap stateMap)`
    `void` | `setStateVar(java.lang.String stateVar)`
    `void` | `setType(java.lang.String type)`

- - ### Method Detail

    - #### setExpansion

          void setExpansion(java.lang.Boolean expansion)

    - #### isExpansion

          java.lang.Boolean isExpansion()

    - #### setExpansionMode

          void setExpansionMode(TreeExpansionMode expansionMode)

    - #### getExpansionMode

          TreeExpansionMode getExpansionMode()

    - #### setKeyConverter

          void setKeyConverter(KeySegmentConverter keyConverter)

    - #### getKeyConverter

          KeySegmentConverter getKeyConverter()

    - #### setReordering

          void setReordering(java.lang.Boolean reordering)

    - #### isReordering

          java.lang.Boolean isReordering()

    - #### setSelectMultiple

          void setSelectMultiple(java.lang.Boolean selectMultiple)

    - #### isSelectMultiple

          java.lang.Boolean isSelectMultiple()

    - #### setSelection

          void setSelection(java.lang.Boolean selection)

    - #### isSelection

          java.lang.Boolean isSelection()

    - #### setSelectionMode

          void setSelectionMode(TreeSelectionMode selectionMode)

    - #### getSelectionMode

          TreeSelectionMode getSelectionMode()

    - #### setStateCreationCallback

          void setStateCreationCallback(NodeStateCreationCallback stateCreationCallback)

    - #### getStateCreationCallback

          NodeStateCreationCallback getStateCreationCallback()

    - #### setStateMap

          void setStateMap(NodeStateMap stateMap)

    - #### getStateMap

          NodeStateMap getStateMap()

    - #### setStateVar

          void setStateVar(java.lang.String stateVar)

    - #### getStateVar

          java.lang.String getStateVar()

    - #### setType

          void setType(java.lang.String type)

    - #### getType

          java.lang.String getType()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.